%define portalVersion 0.3.00
%define perlVersion 5.6.1
%define distro rh73

Summary: Perl Module that Provides User Properties for the PCX Portal.
Name: pcx_portal_UserProperties
Version: 0.5
Release: 2.%{distro}
Copyright: Perl Artistic License
Group: Applications/CPAN
Source0: pcxportal-user-properties-%{version}.tar.gz
Source1: libpcxportal-user-properties-perl-%{version}.tar.gz
URL: http://www.pcxperience.com/
Vendor: Xperience, Inc.
Packager: James A. Pattie <james@pcxperience.com>
BuildRoot: /var/tmp/pcx_portal_UserProperties-%{version}-buildroot/
BuildRequires: perl = %{perlVersion}, pcx_portal >= %{portalVersion}
Requires: perl = %{perlVersion}, pcx_portal >= %{portalVersion}

%description
The User Properites App plugs into the PCX Portal as a Perl Module that 
allows the user to change their properities (password, tz, language, etc.)

After installing the App you should run 
/usr/lib/pcx_portal/UserProperties/setup.pl to finish configuring the 
application.  Then run /usr/lib/pcx_portal/UserProperties/appinstall.pl to 
register with the Portal and 
/usr/lib/pcx_portal/colorSchemeInstall.pl --appname UserProperties
to install any colorSchemes your app may provide.

# Provide perl-specific find-{provides, requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q

%build
cp %{SOURCE1} .
tar xvzf libpcxportal-user-properties-perl-%{version}.tar.gz
cd libpcxportal-user-properties-perl-%{version}
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
cd libpcxportal-user-properties-perl-%{version}
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

cd ../install
eval `perl '-V:installsitelib'`
perl -I $RPM_BUILD_ROOT/$installsitelib install.pl $RPM_BUILD_ROOT
cd ..

find $RPM_BUILD_ROOT/ -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "/etc/pcx_portal/UserProperties.xml" |
	grep -v "\.packlist" > pcx_portal_UserProperties-%{version}-filelist
if [ "$(cat pcx_portal_UserProperties-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%pre
if [ -f /etc/pcx_portal/UserProperties/Config.pm ]; then
  mv /etc/pcx_portal/UserProperties/Config.pm /etc/pcx_portal/UserProperties.pm
fi

%post
if [ -f /etc/pcx_portal/UserProperties.pm ]; then
  /usr/lib/pcx_portal/convertConfig.pl UserProperties /etc/pcx_portal/UserProperties.pm /etc/pcx_portal/UserProperties.xml
  if [ $? -eq 0 ]; then
    rm -f /etc/pcx_portal/UserProperties.pm
    rm -rf /etc/pcx_portal/UserProperties
  fi
fi

echo "You need to run /usr/lib/pcx_portal/UserProperties/setup.pl to finish configuring the App."
echo "Then you need to run /usr/lib/pcx_portal/UserProperties/appinstall.pl to register the App with the Portal and"
echo "/usr/lib/pcx_portal/colorSchemeInstall.pl --appname UserProperties"
echo "to install any colorSchemes your app may provide."

%files -f pcx_portal_UserProperties-%{version}-filelist
%defattr(-,root,root)
%doc README
%doc LICENSE
%doc Changes
%config /etc/pcx_portal/UserProperties.xml

%changelog
* Wed Jun 18 2003 James A. Pattie <james@pcxperience.com>
- Updated to version 0.5.  Tweaked spec file.

* Wed Jun 11 2003 James A. Pattie <james@pcxperience.com>
- Updated to version 0.4.

* Fri May 02 2003 James A. Pattie <james@pcxperience.com>
- Updated to version 0.3.

* Wed Nov 07 2001 James A. Pattie <james@pcxperience.com>
- Updated to version 0.2.

* Tue Oct 30 2001 James A. Pattie <james@pcxperience.com>
- Created version 0.1.  This is the start of the User Properties
  Application for the PCX Portal.
